Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate

# Class Service9Super1

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.activatedeactivate.Service9Super1

All Implemented Interfaces:
  `ServiceInterface1`

Direct Known Subclasses:
  `Service9`

public abstract class Service9Super1 extends Object implements ServiceInterface1
SLING-11860 - Superclass that provides generic activate/deactivate/bind/unbind methods

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Class<?>`
`activateFromClass`
`protected Class<?>`
`bindSvc1FromClass`
`protected Class<?>`
`deactivateFromClass`
`protected Class<?>`
`unbindSvc1FromClass`

## Constructor Summary

Constructors
Constructor
Description
`Service9Super1()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(Map<String,Object> props)`
`protected void`
`bindServiceInterface1(ServiceInterface1 svc1)`
`protected void`
`deactivate(Map<String,Object> props)`
`Class<?>`
`getActivateFromClass()`
`Class<?>`
`getBindSvc1FromClass()`
`Class<?>`
`getDeactivateFromClass()`
`Class<?>`
`getUnbindSvc1FromClass()`
`protected void`
`unbindServiceInterface1(ServiceInterface1 svc1)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### activateFromClass

protected Class<?> activateFromClass

### deactivateFromClass

protected Class<?> deactivateFromClass

### bindSvc1FromClass

protected Class<?> bindSvc1FromClass

### unbindSvc1FromClass

protected Class<?> unbindSvc1FromClass

## Constructor Details

### Service9Super1

public Service9Super1()

## Method Details

### activate

protected void activate(Map<String,Object> props)

### deactivate

protected void deactivate(Map<String,Object> props)

### bindServiceInterface1

protected void bindServiceInterface1(ServiceInterface1 svc1)

### unbindServiceInterface1

protected void unbindServiceInterface1(ServiceInterface1 svc1)

### getActivateFromClass

public Class<?> getActivateFromClass()

### getDeactivateFromClass

public Class<?> getDeactivateFromClass()

### getBindSvc1FromClass

public Class<?> getBindSvc1FromClass()

### getUnbindSvc1FromClass

public Class<?> getUnbindSvc1FromClass()